variable "project_id" {
  type        = string
  description = "GCP project id"
	default     = "school-478713"
}

variable "region" {
  type        = string
  description = "The region of the VM"
  default     = "europe-west1"
}

variable "zone" {
  type        = string
  description = "The zone of the VM"
  default     = "europe-west1-b"
}

variable "ssh_pub_key" {
  type        = string
  description = "SSH public key to provision (optional)"
  default     = "ssh-ed25519 AAAA... user@example.com"
}

variable "instance_type" {
  type        = string
  description = "Type of the VM instance"
  default     = "e2-minimal"
}